package jp.agentec.abook.abv.bl.dto;

import java.util.List;

/**
 * Created by leej on 2019/06/25.
 */

public class OperationGroupMasterDto extends AbstractDto {
    public int operationGroupMasterId;  // 作業種別ID
    public String operationGroupMasterName; // 作業種別名称
    public int parentOperationGroupMasterId; // 作業種別の親階層ID
    public int operationGroupMasterLevel;   // 作業種別の階層レベル
    public int operationCount = 0;  // 作業種別に紐づく作業数

    public OperationGroupMasterDto() {
    }

    @Override
    public Object[] getInsertValues() {
        return new Object[]{operationGroupMasterId, operationGroupMasterName, parentOperationGroupMasterId, operationGroupMasterLevel};
    }
    @Override
    public Object[] getUpdateValues() {
        return new Object[]{operationGroupMasterName, parentOperationGroupMasterId, operationGroupMasterLevel, operationGroupMasterId};
    }

    @Override
    public String[] getKeyValues() {
        return new String[]{""+ operationGroupMasterId};
    }
}